summaryrefslogtreecommitdiffstats
path: root/libraries/perl-glib
diff options
context:
space:
mode:
author Michael Wagner <lapinours@web.de>2010-05-13 00:32:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:32:47 +0200
commit2d488cb205b58b8fc31bf2ec755c18144b7e7418 (patch)
treef6359e7b4c1416a49a4cfe67000b62816fd3a647 /libraries/perl-glib
parentbeacb298a3bba61c857ce6a0472a3cc294d4ef98 (diff)
downloadslackbuilds-2d488cb205b58b8fc31bf2ec755c18144b7e7418.tar.gz
slackbuilds-2d488cb205b58b8fc31bf2ec755c18144b7e7418.tar.xz
libraries/perl-glib: Updated for version 1.161
Diffstat (limited to 'libraries/perl-glib')
-rw-r--r--libraries/perl-glib/README8
-rw-r--r--libraries/perl-glib/perl-glib.SlackBuild27
-rw-r--r--libraries/perl-glib/perl-glib.info2
3 files changed, 21 insertions, 16 deletions
diff --git a/libraries/perl-glib/README b/libraries/perl-glib/README
index e8cfe43e52..75063f73bd 100644
--- a/libraries/perl-glib/README
+++ b/libraries/perl-glib/README
@@ -1,9 +1,5 @@
Glib (perl module)
-This module provides perl access to Glib and GLib's
-GObject libraries.
+This module provides perl access to Glib and GLib's GObject libraries.
-In order to build it from source, you'll also need
- ExtUtils::Depends >= 0.200 (perl-extutils-depends)
- ExtUtils::PkgConfig >= 1.00 (perl-extutils-pkgconfig)
-Both of these are also available from SlackBuilds.org.
+This requires perl-extutils-depends and perl-extutils-pkgconfig.
diff --git a/libraries/perl-glib/perl-glib.SlackBuild b/libraries/perl-glib/perl-glib.SlackBuild
index d09db0feea..7d758e524e 100644
--- a/libraries/perl-glib/perl-glib.SlackBuild
+++ b/libraries/perl-glib/perl-glib.SlackBuild
@@ -34,26 +34,31 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog LICENSE NEWS README TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $SRCNAM-$VERSION
-tar -xzvf $CWD/$SRCNAM-$VERSION.tar.gz || exit 1
-cd $SRCNAM-$VERSION || exit 1
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
-perl Makefile.PL || exit 1
-make OPTIMIZE="$SLKCFLAGS" || exit 1
-make install INSTALLDIRS=vendor DESTDIR=$PKG || exit 1
+perl Makefile.PL
+make OPTIMIZE="$SLKCFLAGS"
+make install INSTALLDIRS=vendor DESTDIR=$PKG
find $PKG -name $SRCNAM.so -exec strip --strip-unneeded $PKG 2> /dev/null {} \;
@@ -70,7 +75,9 @@ gzip -9 $PKG/usr/man/man3/* 2> /dev/null
find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog LICENSE NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
@@ -78,4 +85,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-glib/perl-glib.info b/libraries/perl-glib/perl-glib.info
index 1465363dfc..0cdea7141d 100644
--- a/libraries/perl-glib/perl-glib.info
+++ b/libraries/perl-glib/perl-glib.info
@@ -2,7 +2,9 @@ PRGNAM="perl-glib"
VERSION="1.161"
HOMEPAGE="http://gtk2-perl.sourceforge.net"
DOWNLOAD="http://downloads.sourceforge.net/gtk2-perl/Glib-1.161.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="275735cf9aebf4f9fbd9270fe0bee154"
+MD5SUM_x86_64=""
MAINTAINER="Michael Wagner"
EMAIL="lapinours@web.de"
APPROVED="rworkman"